﻿
@{
    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:int", "date:Date:date:15%", "description:Description:string:82.3%"];
</script> 


<input id="LoardUrl" value="/Sentinelle/ajax" type="hidden" />

<script src="~/Scripts/IndexJS.js"></script>
 <div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
            <br />
        <div> 
            Sélectionnez un seul enrégistrement !
        </div>   
    </div>
</div>
  <div id="confirm">
        <div>
            Confirmation
        </div>
    <div class="cont">
            <br />
        <div> 
            Voulez-vous supprimer ces enrégistrement ?
        </div>   
        <div>
                <br />
                <button title="OK"  type="button" id="ok" class="oufbutton"><i class="ouf-ok"></i> OK</button>
            <button title="Annuler"  type="button" id="annuler" class="oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div> 
<div class="boutons text-right">
    <table class="tableauT">
        <tr>
            <td> @Html.Partial("Filtre")</td>
        </tr>
    </table>
  @*  <button title="Ajouter" id="ajout" value="" class="btn btn-default oufbutton SansIdentifiant"><i class="ouf-add"></i> Ajouter</button>*@
</div>
  <div  id="grades"></div>
 <div id='Menu'>
        <ul>
            
        </ul>
   </div>
  <script type="text/javascript">
        $("#ajout").click(function () {
            $("#loaderSpace,#loader").show();
            $.ajax({
                type: 'GET',
                url: $("#ajoutUrl").attr("value"),
                success: function (response) {
                    $("#loaderSpace,#loader").hide();
                    $.each(response, function (i, item) {
                        $("#popupform").html(item);
                    });
                    $('#formulaire').jqxWindow({ height: "auto", width: "auto", isModal: true, minHeight: "20%", showCloseButton: false, theme: "ui-redmond" });
                },
                error: function (jqXHR, exception) {
                    $("#loaderSpace,#loader").hide();
                    if (jqXHR.status === 0) {
                        alert('Not connect.\n Verify Network.');
                    } else if (jqXHR.status == 404) {
                        alert('Requested page not found. [404]');
                    } else if (jqXHR.status == 500) {
                        alert('Internal Server Error [500].');
                    } else if (exception === 'parsererror') {
                        alert('Requested JSON parse failed.');
                    } else if (exception === 'timeout') {
                        alert('Time out error.');
                    } else if (exception === 'abort') {
                        alert('Ajax request aborted.');
                    } else {
                        alert('Uncaught Error.\n' + jqXHR.responseText);
                    }
                }
            });
            return false;
        });
 </script> 
<style>
    .tableauT td{
       padding:5px;
    }
</style>